com.salesforce.datacloud.jdbc.util

## Class PropertiesExtensions

- java.lang.Object
- - com.salesforce.datacloud.jdbc.util.PropertiesExtensions

    public final class PropertiesExtensions
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static Properties` `copy(Properties properties, Set<String> filterKeys)`
`static Boolean` `getBooleanOrDefault(Properties properties, String key, Boolean defaultValue)`
`static Integer` `getIntegerOrDefault(Properties properties, String key, Integer defaultValue)`
`static Optional<String>` `optional(Properties properties, String key)`
`static String` `required(Properties properties, String key)`
`static Boolean` `toBooleanOrDefault(String s)`
`static Integer` `toIntegerOrNull(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### optional

    public static Optional<String> optional(Properties properties,
                                            String key)

#### required

    public static String required(Properties properties,
                                  String key)

#### copy

    public static Properties copy(Properties properties,
                                  Set<String> filterKeys)

#### getIntegerOrDefault

    public static Integer getIntegerOrDefault(Properties properties,
                                              String key,
                                              Integer defaultValue)

#### toIntegerOrNull

    public static Integer toIntegerOrNull(String s)

#### getBooleanOrDefault

    public static Boolean getBooleanOrDefault(Properties properties,
                                              String key,
                                              Boolean defaultValue)

#### toBooleanOrDefault

    public static Boolean toBooleanOrDefault(String s)